package visnow.template2;

import pl.edu.icm.visnow.engine.core.ParameterEgg;
import pl.edu.icm.visnow.engine.core.ParameterType;
import pl.edu.icm.visnow.engine.core.Parameters;

public class Params extends Parameters {

    //initialize array with parameter description
    private static ParameterEgg[] eggs = new ParameterEgg[]
    {
        //e.g.
        //new ParameterEgg<Integer>("param_name_1", ParameterType.independent, 1),
        //new ParameterEgg<Float>("param_name_2", ParameterType.independent, 2.0f),
        //new ParameterEgg<int[]>("param_name_3", ParameterType.independent, null),
    };
    
    public Params() 
    {
        super(eggs);
        
        //if non numeric Object is used as parameter type always initialize its value in constructor
        //e.g.
        //this.setValue("param_name_3", new int[]{1,2,3});        
    }
    
    //for clarity create getters and setters for each parameter

    //e.g.
    //public void setParamName1(int value) {
    //    this.setValue("param_name_1", value);        
    //}
    
    //public int getParamName1() {
    //    return (Integer) this.getValue("param_name_1");
    //}

    //public void setParamName2(float value) {
    //    this.setValue("param_name_2", value);        
    //}
    
    //public float getParamName1() {
    //    return (Float) this.getValue("param_name_2");
    //}
    
    //public void setParamName3(int[] value) {
    //    this.setValue("param_name_3", value);        
    //}
    
    //public int[] getParamName3() {
    //    return (int[]) this.getValue("param_name_3");
    //}
    
}
